Bug 822638 - [abrt] Zim-0.56-1.fc16: pageview.py:1557:get_indent:AssertionError: BUG: overlapping indent tags
[abrt] Zim-0.56-1.fc16: pageview.py:1557:get_indent:AssertionError: BUG: over...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:ca16afa83c3786e9d337fef70ae...
:
: 875712 875734 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 12:53 EDT by Hollis Blanchard
Modified: 2014-02-05 06:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1005118 None None None Never

  None (edit)
Description Hollis Blanchard 2012-05-17 12:53:53 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/zim
comment:        I had been pasting bulleted lists from Tomboy, then reformatting in Zim (since they paste poorly). Here I was at the last pasted bullet (indented one level), on the last line of a Zim note, when I hit enter to add more information.
executable:     /usr/bin/zim
kernel:         3.3.5-2.fc16.i686.PAE
reason:         pageview.py:1557:get_indent:AssertionError: BUG: overlapping indent tags
time:           Thu 17 May 2012 09:51:01 AM PDT
uid:            500
username:       hollisb

backtrace:
:pageview.py:1557:get_indent:AssertionError: BUG: overlapping indent tags
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 3906, in do_end_of_line
:    buffer.set_bullet(newline, bullet)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 1061, in set_bullet
:    self._replace_bullet(iter, bullet)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 1068, in _replace_bullet
:    indent = self.get_indent(line)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 1557, in get_indent
:    assert len(tags) == 1, 'BUG: overlapping indent tags'
:AssertionError: BUG: overlapping indent tags
:
:Local variables in innermost frame:
:line: 29
:self: <TextBuffer object at 0xb56e3a7c (zim+gui+pageview+TextBuffer at 0x8aca298)>
:iter: <GtkTextIter at 0x8876218>
:tags: [<gtk.TextTag object at 0xaff82b94 (GtkTextTag at 0x89e1a00)>, <gtk.TextTag object at 0xaff87784 (GtkTextTag at 0x8952f60)>]
Comment 1 Robin Lee 2012-11-12 20:31:28 EST
*** Bug 875712 has been marked as a duplicate of this bug. ***
Comment 2 Robin Lee 2012-11-12 20:31:35 EST
*** Bug 875734 has been marked as a duplicate of this bug. ***
Comment 3 Brian J. Murrell 2013-01-07 10:10:39 EST
This is also happening in FC18.  Can we get the Version(s): tag of this bug updated so that it doesn't get closed EOL before it gets fixed?
Comment 4 Fedora End Of Life 2013-12-21 03:36:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 06:58:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.